Expert Sleepers ES-9 Firmware Update on Linux

Published by . [Permalink]

Caveat: I don’t represent Expert Sleepers and I cannot say if this voids the warranty. Proceed at your own risk.

Expert Sleepers’ official firmware page only supports Mac and Windows.

As it turns out, though, it’s not too hard to run an upgrade on Linux.

First, you need to boot the ES-9 in DU mod. There are two pins in the back of the unit. You can use two clips to connect them as I did.

Then, download dfu-util. This step will be different depending on what flavor of Linux you use, but this is how I did it on Arch.

sudo pacman -S dfu-util

After booting in DFU mod, it should show up when you run.

sudo dfu-util -l
Found DFU: [2485:50e1] ver=0000, devnum=20, cfg=1, intf=0, path="2-9.1.1", alt=0, name="DFU", serial="UNKNOWN"

I then ran this command to flash my firmware.

sudo dfu-util -a 0 -R -D es9_v1.1.1.dfu

Your exact version might be different.

I verified this works by opening the web utility and asking nicely for the version number, which was v1.1.1 in my case.


A portrait of Carl Colglazier

I'm .

Rooted in a dual education in computer science and communication, I make meaningful information accessible with new media, social computing, and computational social science. I also post on , YouTube, and GitHub.

Mentions